Table of Contents

What are the prerequisites for Pega Robotic Automation 19.1?

When you use the Setup wizard to install Pega Robot Studio (stand-alone or plug-in), Pega Robot Runtime/Agile Desktop, or both, the wizard first looks for certain Microsoft software prerequisites, such as the .NET Framework. Some prerequisites, such as the C++ redistributables, are included in the installation. If the required software components are missing, the wizard downloads them from Microsoft's site and installs them before it installs your Pega Robot Studio or Pega Robot Runtime software.

Components to check

To install the prerequisites before running the Setup wizard, or if you are doing an offline installation, use the following information as a guide for finding the necessary components. For more information about installing Pega Robot Studio offline, see the installation instructions.

The following links are provided for your convenience. If any of these links no longer work, visit the Microsoft website to download these applications. Click feedback on the right side of this page to report broken links.

Pega Robot Studio

Before you install Pega Robot Studio, stand-alone or plug-in, ensure that you have the following applications installed on your computer:

  • Microsoft Visual Studio 2015 RTM Update 3 or later
  • Microsoft .NET Framework 3.5 SP1
  • Microsoft .NET Framework 4.6.1
  • Microsoft Visual C++ Redistributable for Visual Studio 2012 (x86 and x64 -- included in the installation in 19.1.38 and later)
  • Microsoft Visual C++ Redistributable for Visual Studio 2017 (vc_redist.x86.exe and vc_redist.x64.exe -- included in the installation in 19.1.38 and later)

If you do not have the correct version of these applications installed, the Setup wizard downloads the following applications from the specified locations:

Pega Robot Runtime/Agile Desktop

Before you install Pega Robot Runtime/Agile Desktop, ensure that you have the following applications installed on your computer.

  • Microsoft .NET Framework 3.5 SP1
  • Microsoft .NET Framework 4.6.1
  • Microsoft Visual C++ Redistributable for Visual Studio 2012 (x86 and x64 -- included in the installation in 19.1.38 and later)
  • Microsoft Visual C++ Redistributable for Visual Studio 2017 (vc_redist.x86.exe and vc_redist.x64.exe -- included in the installation in 19.1.38 and later)

If you do not have the correct version of these applications installed, the Setup wizard downloads the following applications from the specified locations:

 

Suggest Edit

100% found this useful

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.